Package org.eclipse.viatra.query.patternlanguage.emf.jvmmodel

## Class JavadocInferrer

- java.lang.Object
- - org.eclipse.viatra.query.patternlanguage.emf.jvmmodel.JavadocInferrer

-     public class JavadocInferrer
      extends java.lang.Object

  No Reference:

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JavadocInferrer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.CharSequence` | `javadocCountMatchesMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocForEachMatchMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocForOneArbitraryMatchMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocGetAllMatchesMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocGetAllValuesOfMethod​(Variable parameter)` |
    `java.lang.CharSequence` | `javadocGetOneArbitraryMatchMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocGroupClass​(PatternModel model, boolean includePrivate)` |
    `java.lang.CharSequence` | `javadocGroupClassInstanceMethod​(PatternModel model)` |
    `java.lang.CharSequence` | `javadocHasMatchMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocHasMatchMethodNoParameter​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocMatchClass​(Pattern pattern)` | Infers javadoc for Match class based on the input 'pattern'.
    `java.lang.CharSequence` | `javadocMatcherClass​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocMatcherConstructorEngine​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocMatcherStaticCreate​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocMatcherStaticOnEngine​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocNewEmptyMatchMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocNewMatchMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocNewMutableMatchMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocProcessMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocProcessorClass​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocQuerySpecificationClass​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocQuerySpecificationInstanceMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocQuerySpecificationMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocStreamAllMatchesMethod​(Pattern pattern)` |
    `java.lang.CharSequence` | `javadocStreamAllValuesOfMethod​(Variable parameter)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavadocInferrer

          public JavadocInferrer()

  - ### Method Detail

    - #### javadocMatchClass

          public java.lang.CharSequence javadocMatchClass​(Pattern pattern)

      Infers javadoc for Match class based on the input 'pattern'.

    - #### javadocMatcherClass

          public java.lang.CharSequence javadocMatcherClass​(Pattern pattern)

    - #### javadocQuerySpecificationClass

          public java.lang.CharSequence javadocQuerySpecificationClass​(Pattern pattern)

    - #### javadocProcessorClass

          public java.lang.CharSequence javadocProcessorClass​(Pattern pattern)

    - #### javadocMatcherConstructorEngine

          public java.lang.CharSequence javadocMatcherConstructorEngine​(Pattern pattern)

    - #### javadocMatcherStaticOnEngine

          public java.lang.CharSequence javadocMatcherStaticOnEngine​(Pattern pattern)

    - #### javadocMatcherStaticCreate

          public java.lang.CharSequence javadocMatcherStaticCreate​(Pattern pattern)

    - #### javadocGetAllMatchesMethod

          public java.lang.CharSequence javadocGetAllMatchesMethod​(Pattern pattern)

    - #### javadocStreamAllMatchesMethod

          public java.lang.CharSequence javadocStreamAllMatchesMethod​(Pattern pattern)

    - #### javadocGetOneArbitraryMatchMethod

          public java.lang.CharSequence javadocGetOneArbitraryMatchMethod​(Pattern pattern)

    - #### javadocHasMatchMethod

          public java.lang.CharSequence javadocHasMatchMethod​(Pattern pattern)

    - #### javadocHasMatchMethodNoParameter

          public java.lang.CharSequence javadocHasMatchMethodNoParameter​(Pattern pattern)

    - #### javadocCountMatchesMethod

          public java.lang.CharSequence javadocCountMatchesMethod​(Pattern pattern)

    - #### javadocForEachMatchMethod

          public java.lang.CharSequence javadocForEachMatchMethod​(Pattern pattern)

    - #### javadocForOneArbitraryMatchMethod

          public java.lang.CharSequence javadocForOneArbitraryMatchMethod​(Pattern pattern)

    - #### javadocProcessMethod

          public java.lang.CharSequence javadocProcessMethod​(Pattern pattern)

    - #### javadocNewMatchMethod

          public java.lang.CharSequence javadocNewMatchMethod​(Pattern pattern)

    - #### javadocNewMutableMatchMethod

          public java.lang.CharSequence javadocNewMutableMatchMethod​(Pattern pattern)

    - #### javadocNewEmptyMatchMethod

          public java.lang.CharSequence javadocNewEmptyMatchMethod​(Pattern pattern)

    - #### javadocGetAllValuesOfMethod

          public java.lang.CharSequence javadocGetAllValuesOfMethod​(Variable parameter)

    - #### javadocStreamAllValuesOfMethod

          public java.lang.CharSequence javadocStreamAllValuesOfMethod​(Variable parameter)

    - #### javadocQuerySpecificationMethod

          public java.lang.CharSequence javadocQuerySpecificationMethod​(Pattern pattern)

    - #### javadocQuerySpecificationInstanceMethod

          public java.lang.CharSequence javadocQuerySpecificationInstanceMethod​(Pattern pattern)

    - #### javadocGroupClass

          public java.lang.CharSequence javadocGroupClass​(PatternModel model,
                                                          boolean includePrivate)

    - #### javadocGroupClassInstanceMethod

          public java.lang.CharSequence javadocGroupClassInstanceMethod​(PatternModel model)